# Initiates creation of a future recurring member subscription and also loads and initiates the
creation or selection of a member payment card using an embedded UI for the future recurring
member subscription

Upon creating or selecting the member payment card, the member's recurring
member subscriptions Future will be set.
The GetFutureRecurringSubscriptionCreation endpoint should be polled to determine the status of the future
recurring subscription.
Sets Vista as the payment provider for the member subscription, if not already set to Vista.
#### Licenses Required
- Vista.Ocapi
- Vista.Subscriptions

Endpoint: POST /ocapi/v1/members/current/subscriptions/future-recurring/payment-card/embedded
Version: V1

## Description:

  - `Licenses Required` ()
    Vista.OcapiVista.Subscriptions

## Header parameters:

  - `Connect-Region-Code` (string)
    Region Code

## Request body:

  - `application/json, text/json, application/*+json, application/json-patch+json` (unknown)
    The values needed to create the future recurring subscription payment

## Request fields (application/json):

  - `webPaymentMethodId` (integer, required)
    Gets the unique identifier of the web payment method

  - `redirectReturnUrl` (string)
    Gets the URL that the browser will be directed to after the embedded payment has finished, if the requested web payment
method requires redirect

  - `languageTag` (string)
    Gets the IETF (RFC 4646) language tag

  - `subscriptionBillingOptionId` (string, required)
    Gets the unique identifier of the subscription billing option that will be regularly charged to the
created or selected member payment card

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `memberPaymentCardId` (string, required)
    Gets the unique identifier of the member payment card

  - `webPaymentMethodId` (integer, required)
    Gets the unique identifier of the web payment method

  - `connectorFunctionName` (string, required)
    Gets the name of the connector function that needs to be called

  - `connectorParametersJson` (string, required)
    Gets the JSON blob of parameters required by the connector

  - `createCardTokenUrl` (string, required)
    Gets the create card token URL

  - `sdkScriptUrls` (array, required)
    Gets the list of SDK script URLs that need to be loaded

  - `isButtonIncluded` (boolean, required)
    Gets a value indicating whether the payment connector UI includes a submit button

  - `isPrimaryCardOptionIncluded` (boolean, required)
    Gets a value indicating whether the primary card option is included

  - `connectorScriptUrls` (array, required)
    Gets the list of connector script URLs that need to be loaded

## Response 400:

  - `400` (unknown)
    Request property is invalid or missing, or member cannot set a future subscription.

## Response 401:

  - `401` (unknown)
    No member authenticated.

